/*
 *  TSCSharingErrorCodes.h
 *  TSCSharing
 *
 *  Created by Eagleston, Jason on 5/10/10.
 *  Copyright 2010 TechSmith Corporation. All rights reserved.
 *
 */

// Screencast covers {0, 2000}
// TSCRest covers {30000, 30003}

// if button titles aren't defined we'll use "OK" and "Cancel"
#define kTSCSharingErrorDefaultButtonOptionalKey @"kTSCSharingErrorDefaultButtonOptionalKey"  
#define kTSCSharingErrorAltButtonOptionalKey @"kTSCSharingErrorAltButtonOptionalKey"


typedef enum {
   TSCSharingErrorDisplayMessage = 5000,
   TSCSharingErrorApplicationNotInstalled,
   TSCSharingErrorShowPreferences, 
   TSCSharingErrorAPIUpdateRequired, 
   TSCSharingErrorNetConnectionUnavailable
} TSCSharingErrorCode;

