//
//  TSCSharingPluginProtocol.h
//  TSCSharing
//
//  Created by Simons, Mike on 4/13/10.
//  Copyright 2010 TechSmith Corp.. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@protocol TSCSharingPluginProtocol

+(NSString*) humanReadableDescription;
+(NSString*) pluginName;
+(Class)shareHandlerClass;  // must conform to <TSCSharingShareHandlerProtocol>
+(Class)profileViewControllerClass; //Must conform to <TSCSharingProfileViewControllerProtocol>
+(Class)profileClass; //must conform to <TSCSharingProfileProtocol>

+(NSSet*)setOfSupportedUTITypes;

@end
