//
//  TSCSharingPasswordManager.h
//  TSCSharing
//
//  Created by Michael Simons on 4/29/10.
//  Copyright 2010 TechSmith Co.. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface TSCSharingPasswordManager : NSObject {

}


+(BOOL) setPassword:(NSString*)password
        forKeychain:(SecKeychainRef)keychain
         serverName:(NSString*)servername
        accountName:(NSString*)accountname
               path:(NSString*)path
               port:(NSInteger)port
           protocol:(SecProtocolType)protocol
 authenticationType:(SecAuthenticationType)authType
       keychainItem:(out SecKeychainItemRef*) item;

+(BOOL) setPassword:(NSString*)password
            service:(NSString*)service
            account:(NSString*)account;

+(BOOL) setPassword:(NSString*)password
        forKeychain:(SecKeychainRef)keychain
            service:(NSString*)service
            account:(NSString*)account;


+(NSString*) passwordForKeychain:(SecKeychainRef)keychain
                         service:(NSString*) service
                         account:(NSString*)account;

+(NSString*) passwordForService:(NSString*)service
                        account:(NSString*)account;

+(NSString*) passwordForKeychain:(SecKeychainRef)keychain
                      serverName:(NSString*)servername
                     accountName:(NSString*)accountname
                            path:(NSString*)path
                            port:(NSInteger)port
                        protocol:(SecProtocolType)protocol
              authenticationType:(SecAuthenticationType)authType
                    keychainItem:(out SecKeychainItemRef*) item;

@end
