/*
 *  TSCSharingProfileProtocol.h
 *  TSCSharing
 *
 *  Created by Middlin, Paul on 4/19/10.
 *  Copyright 2010 __MyCompanyName__. All rights reserved.
 *
 */

@protocol TSCSharingProfileProtocol <NSObject>

@property (retain) NSString* guid;
@property (readonly) BOOL isValid;

+(id)profileWithDictionary:(NSDictionary*)dict;          // should be returned autoreleased
+(NSObject<TSCSharingProfileProtocol>*)defaultProfile;   // should be returned autoreleased
-(id) initWithDictionary:(NSDictionary*)dict;
-(NSDictionary*) serializeToDictionary;

@end