/*
 *  TSCSharingProgressDelegateProtocol.h
 *  TSCSharing
 *
 *  Created by Middlin, Paul on 4/19/10.
 *  Copyright 2010 TechSMith. All rights reserved.
 *
 */

#import "TSCSharingProfileProtocol.h"

@class TSCSharingCaptureInfo;

@protocol TSCSharingProgressDelegateProtocol
-(void)shareCompletedSuccessfullyForProfile:(id<TSCSharingProfileProtocol>)profile andCaptureInfo:(TSCSharingCaptureInfo*)captureInfo withMessage:(NSAttributedString*)message;
-(void)shareFailedForProfile:(id<TSCSharingProfileProtocol>)plugin andCaptureInfo:(TSCSharingCaptureInfo*)captureInfo withError:(NSError*)error;
-(BOOL)shareUpdateProgress:(float)progress forProfile:(id<TSCSharingProfileProtocol>)profile andCaptureInfo:(TSCSharingCaptureInfo*)captureInfo bytesSent:(long)bytes totalSize:(long)total;
@end